#!/usr/bin/make

# qpick.mak Version 0.3.0 - Compile qpick.c
# Copyright (C) 2002-2010   dondalah721@yahoo.com (Dondalah)

# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.

# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

OBJ=qpick.o \
	getlot.o \
	combo.o \
	rndinit.o \
	rnd.o \
	rndnum.o \
	rndpwr.o \
	getmd5.o \
	md5c.o

CC=gcc

CFLAGS=-c -Wall -O6

LDFLAGS=-lm

qpick:		$(OBJ)
	$(CC) -Wall -O6 $(OBJ) -o qpick $(LDFLAGS)

qpick.o:	qpick.c
	$(CC) $(CFLAGS) qpick.c

getlot.o:	getlot.c
	$(CC) $(CFLAGS) getlot.c

rndinit.o:	rndinit.c
	$(CC) $(CFLAGS) rndinit.c

rnd.o:		rnd.s
	$(CC) $(CFLAGS) rnd.s

rndnum.o:	rndnum.s
	$(CC) $(CFLAGS) rndnum.s

rndpwr.o:	rndpwr.s
	$(CC) $(CFLAGS) rndpwr.s

getmd5.o:	getmd5.c
	$(CC) $(CFLAGS) getmd5.c

md5c.o:		md5c.c
	$(CC) $(CFLAGS) md5c.c

clean:
	rm -f $(OBJ) qpick
