#!/usr/bin/make

# nonintel.mak Version 0.3.0 - Compile Lotto
# for a non-Intel platform.
# Copyright (C) 2002-2010   dondalah721@yahoo.com (Dondalah)

# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.

# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

LOTTO=lotto.o \
	getlot.o \
	combo.o \
	rndinit.o \
	rnd.o \
	rndnum.o \
	rndpwr.o \
	getmd5.o \
	md5c.o

QPICK=qpick.o \
	getlot.o \
	combo.o \
	rndinit.o \
	rnd.o \
	rndnum.o \
	rndpwr.o \
	getmd5.o \
	md5c.o

LOTPROB=lotprob.o \
	getlot.o \
	combo.o \
	rndinit.o \
	rnd.o \
	rndnum.o \
	rndpwr.o \
	getmd5.o \
	md5c.o

CC=gcc

CFLAGS=-c -Wall -O6

LDFLAGS=-lm

all:		lotprob lotto qpick

lotto:		$(LOTTO)
	$(CC) -Wall -O6 $(LOTTO) -o lotto $(LDFLAGS)

qpick:		$(QPICK)
	$(CC) -Wall -O6 $(QPICK) -o qpick $(LDFLAGS)

lotprob:	$(LOTPROB)
	$(CC) -Wall -O6 $(LOTPROB) -o lotprob $(LDFLAGS)

lotto.o:	lotto.c
	$(CC) $(CFLAGS) lotto.c

qpick.o:	qpick.c
	$(CC) $(CFLAGS) qpick.c

lotprob.o:	lotprob.c
	$(CC) $(CFLAGS) lotprob.c

getlot.o:	getlot.c
	$(CC) $(CFLAGS) getlot.c

combo.o:	combo.c
	$(CC) $(CFLAGS) combo.c

initrnd.o:	initrnd.c
	$(CC) $(CFLAGS) initrnd.c

rnd.o:		rnd2.c
	$(CC) -o rnd.o $(CFLAGS) rnd2.c

rndnum.o:	rndnum2.c
	$(CC) -o rndnum.o $(CFLAGS) rndnum2.c

rndpwr.o:	rndpwr2.c
	$(CC) -o rndpwr.o $(CFLAGS) rndpwr2.c

clean:
	rm -f $(LOTTO) lotto
	rm -f $(QPICK) qpick
	rm -f $(LOTPROB) lotto lotprob
