#!/usr/bin/make

# p4prob.mak Version 0.3.0 - Compile p4prob.c
# Copyright (C) 2002-2010   dondalah721@yahoo.com (Dondalah)

# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.

# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

OBJ=p4prob.o \
	getp4.o \
	combo.o \
	permute.o

CC=gcc

CFLAGS=-c -Wall -O6

LDFLAGS=-lm

p4prob:	$(OBJ)
	$(CC) -Wall -O6 $(OBJ) -o p4prob $(LDFLAGS)

p4prob.o:	p4prob.c
	$(CC) $(CFLAGS) p4prob.c

getp4.o:	getp4.c
	$(CC) $(CFLAGS) getp4.c

combo.o:	combo.c
	$(CC) $(CFLAGS) combo.c

permute.o:	permute.c
	$(CC) $(CFLAGS) permute.c

clean:
	rm -f $(OBJ) p4prob
